# GNUmakefile          Section: 2.8
#      Copyright 1994, Center for Computer Vision and Visualization,
#      University of Florida.  All rights reserved.
#
# See comments in  gnumake.iah for description of symbols.

# NOTE: This is version is only valid on 2-D images, it should
#      not be placed in the IAH library.

#######################################################################
# Modify the following symbols to control compilation
#######################################################################

BLASTABLE_PTFILES = IA_
CLOSUREOBJS       = closure-median3x3.o

HEADERS = # median3x3.h
LOBJS   =

SOURCES	= median3x3.h medan3x3.c  closure-median3x3.c  test-median.c
TESTS = test-median

ARL =
EXTRAINCLUDES =
CPPFLAGS =

OUTPUT_OPTION =
TARGET_ARCH   =
XTRAFLAGS     =
XTRACCFLAGS   =

# Make this nothing if you do not want programs stripped.
STRIPPROGRAMS = anystring-means-strip--no-string-means-do-not-strip

#######################################################################
include	../../gnumake.iah
#######################################################################

#######################################################################
#####	User program dependencies and rules follow
#######################################################################

median3x3.o:	median3x3.h median3x3.c

closure-median3x3.o:	closure-median3x3.c median3x3.o

test-median:	test-median.c  median3x3.o
